# dqcache runs chrooted in the directory specified
# by the $ROOT environment variable
#
ROOT="/var/lib/dqcache/root"

# dqcache listens for incoming UDP packets and TCP connections
# addressed to port 53 of $IP. Typically $IP is 127.0.0.1,
# but it can also be an externally accessible IP address
#
IP="127.0.0.1"

# dqcache uses a fixed-size cache,
# as controlled by the $CACHESIZE environment variable.
# Typically $CACHESIZE is 10000000 (10MB).
#
CACHESIZE="10000000"

# dqcache  supports  forward-only  mode.
# If $FORWARDONLY is set,
# dqcache treats servers/@ as a list of IP addresses for other caches,
# not root servers.
# It forwards queries to those caches the same way that a client does,
# rather than contacting a chain of servers according to NS records.
#
# FORWARDONLY=1

# dqcache sends outgoing IPv4 packets from high ports of $IPSEND4.
# Typically $IPSEND4 is 0.0.0.0, meaning the machine's primary IPv4 address.
#
# IPSEND4="0.0.0.0"

# dqcache sends outgoing IPv6 packets from high ports of $IPSEND6.
# Typically $IPSEND6 is ::, meaning the machine's primary IPv6 address.
#
# IPSEND6="::"

# If $HIDETTL is set, dqcache always uses a TTL of 0 in its responses
#
# HIDETTL=1

# dqcache accepts connections from localhost (127.0.0.0/8 or ::1/128).  For external connections dqcache has file-style accesslist.
#  e.g. for IPv4 address 1.2.3.4 dqcache allows connection when sees a file named:
#  ip4/1.2.3.4 or
#  ip4/1.2.3 or
#  ip4/1.2 or
#  ip4/1
#  e.g. for IPv6 address 2a02:598:7000:101:12dd:b1ff:fede:3476 dqcache allows connection when sees a file named:
#  ip6/2a02:598:7000:101:12dd:b1ff:fede:3476 or
#  ip6/2a02:598:7000:101:12dd:b1ff:fede or
#  ip6/2a02:598:7000:101:12dd:b1ff or
#  ip6/2a02:598:7000:101:12dd or
#  ip6/2a02:598:7000:101 or
#  ip6/2a02:598:7000 or
#  ip6/2a02:598 or
#  ip6/2a02
#  when environment variable $OKCLIENT is set, dqcache accepts all connections.
#
# OKCLIENT=1


